# Class GazetteerException

Object
Throwable
Exception
TransformException
GazetteerException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ReferenceVerifyException`

public class GazetteerException extends TransformException
Thrown when a coordinate cannot be converted to a geographic identifier, or conversely.

Since:
  0.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GazetteerException()`
  Constructs a new exception with no detail message.
  `GazetteerException(String message)`
  Constructs a new exception with the specified detail message.
  `GazetteerException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `GazetteerException(Throwable cause)`
  Constructs a new exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class TransformException

  `getLastCompletedTransform, setLastCompletedTransform`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GazetteerException

    public GazetteerException()
    Constructs a new exception with no detail message.

  - ### GazetteerException

    public GazetteerException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the details message, or `null` if none.

  - ### GazetteerException

    public GazetteerException(Throwable cause)
    Constructs a new exception with the specified cause. The details message is copied from the cause.
    Parameters:
      `cause` - the cause, or `null` if none.

  - ### GazetteerException

    public GazetteerException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the details message, or `null` if none.
      `cause` - the cause, or `null` if none.